namespace GDCHyperLinkSample.ViewModel
{
    using System.Collections.ObjectModel;
    using Model;

    internal class EmployeeObservableCollection : ObservableCollection<Employee>
    {
        public EmployeeObservableCollection()
        {
            PopulateCollection();
        }

        private void PopulateCollection()
        {
            this.Clear();

            for (int i = 0; i < 5; i++)
            {
                Employee b = new Employee() {EmployeeName = "Mart", EmployeeAge = 45, EmployeeArea = "USA", EmployeeSalary = 33000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Syncfusion"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Peter", EmployeeAge = 35, EmployeeArea = "UK", EmployeeSalary = 5678, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Hcl"};
                this.Add(b);
                b = new Employee() {EmployeeName = "James", EmployeeAge = 42, EmployeeArea = "UAE", EmployeeSalary = 18700, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Tcs"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Oliver", EmployeeAge = 36, EmployeeArea = "USA", EmployeeSalary = 67000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Technosoft"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Robert", EmployeeAge = 54, EmployeeArea = "India", EmployeeSalary = 34567, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Solverminds"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Suji", EmployeeAge = 45, EmployeeArea = "UK", EmployeeSalary = 90000, ExperienceInMonth = 10, EmployeeGender = "Female", EmployeeOffice = "Mahindra"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Mahesh", EmployeeAge = 48, EmployeeArea = "UK", EmployeeSalary = 34567, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Syncfusion"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Ruby", EmployeeAge = 49, EmployeeArea = "UK", EmployeeSalary = 12345, ExperienceInMonth = 10, EmployeeGender = "Female", EmployeeOffice = "Softexpare"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Christain", EmployeeAge = 54, EmployeeArea = "India", EmployeeSalary = 80000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Hll"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Aravind", EmployeeAge = 65, EmployeeArea = "India", EmployeeSalary = 12000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Tcs"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Daniel", EmployeeAge = 56, EmployeeArea = "USA", EmployeeSalary = 16000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Syncfusion"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Suhitha Azar", EmployeeAge = 78, EmployeeArea = "UK", EmployeeSalary = 98789, ExperienceInMonth = 10, EmployeeGender = "Female", EmployeeOffice = "HCL"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Praveen", EmployeeAge = 54, EmployeeArea = "UAE", EmployeeSalary = 45678, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Technosoft"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Stephen", EmployeeAge = 45, EmployeeArea = "USA", EmployeeSalary = 21000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Syncfusion"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Asha Joseph", EmployeeAge = 56, EmployeeArea = "India", EmployeeSalary = 56787, ExperienceInMonth = 10, EmployeeGender = "Female", EmployeeOffice = "Bluewales"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Clarke", EmployeeAge = 67, EmployeeArea = "UK", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Microsoft"};
                this.Add(b);
                b = new Employee() {EmployeeName = "Dhileep Venkatesh", EmployeeAge = 45, EmployeeArea = "UK", EmployeeSalary = 45656, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeOffice = "Syncfusion"};
                this.Add(b);
            }
        }
    }
}